const n = "M4LTimePickerField", e = "military", o = "seconds", P = "Open time picker", c = "Time period", r = {
  hours24: "00",
  minutes: "00",
  seconds: "00"
}, O = {
  hours: ["hours"],
  minutes: ["hours", "minutes"],
  seconds: ["hours", "minutes", "seconds"]
}, R = [
  { id: "AM", label: "AM" },
  { id: "PM", label: "PM" }
];
function _(s, E = 0) {
  return Array.from({ length: s - E + 1 }, (t, T) => {
    const I = String(T + E).padStart(2, "0");
    return {
      id: I,
      label: I
    };
  });
}
const i = _(23), M = _(12, 1), A = _(59);
export {
  e as DEFAULT_TIME_PICKER_DISPLAY_VARIANT,
  o as DEFAULT_TIME_PICKER_GRANULARITY,
  r as TIME_PICKER_DEFAULT_VALUE_PARTS,
  M as TIME_PICKER_HOUR_OPTIONS_12H,
  i as TIME_PICKER_HOUR_OPTIONS_24H,
  n as TIME_PICKER_KEY_COMPONENT,
  A as TIME_PICKER_MINUTE_SECOND_OPTIONS,
  P as TIME_PICKER_OPEN_BUTTON_LABEL,
  c as TIME_PICKER_PERIOD_GROUP_LABEL,
  R as TIME_PICKER_PERIOD_OPTIONS,
  O as TIME_PICKER_VISIBLE_SEGMENTS
};
